Bug 1459712 - python-filelock-3.0.10 is available
Summary: python-filelock-3.0.10 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-filelock
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1492884
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-08 00:13 UTC by Upstream Release Monitoring
Modified: 2019-05-29 00:49 UTC (History)
2 users (show)

Fixed In Version: python-filelock-3.0.12-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 00:49:24 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-06-08 00:13:52 UTC
Latest upstream release: 2.0.10
Current version/release in rawhide: 2.0.8-2.fc26
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 1 Upstream Release Monitoring 2017-06-08 00:13:57 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 2 Upstream Release Monitoring 2017-07-20 00:13:33 UTC
Latest upstream release: 2.0.11
Current version/release in rawhide: 2.0.8-2.fc26
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 3 Upstream Release Monitoring 2017-07-20 00:13:36 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 4 Upstream Release Monitoring 2017-09-03 00:13:51 UTC
Latest upstream release: 2.0.12
Current version/release in rawhide: 2.0.8-3.fc27
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 5 Upstream Release Monitoring 2017-09-03 00:13:54 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 6 Upstream Release Monitoring 2017-11-06 00:14:05 UTC
Latest upstream release: 2.0.13
Current version/release in rawhide: 2.0.8-3.fc27
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 7 Upstream Release Monitoring 2017-11-06 00:14:09 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 8 Upstream Release Monitoring 2017-12-30 00:13:54 UTC
Latest upstream release: 2.0.14
Current version/release in rawhide: 2.0.8-3.fc27
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 9 Upstream Release Monitoring 2017-12-30 00:13:56 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 10 Upstream Release Monitoring 2018-01-05 12:14:38 UTC
Latest upstream release: 3.0.0
Current version/release in rawhide: 2.0.8-3.fc27
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 11 Upstream Release Monitoring 2018-01-05 12:14:42 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 12 Upstream Release Monitoring 2018-01-30 12:14:38 UTC
Latest upstream release: 3.0.3
Current version/release in rawhide: 2.0.8-3.fc27
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 13 Upstream Release Monitoring 2018-01-30 12:14:41 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 14 Upstream Release Monitoring 2018-02-01 12:14:43 UTC
Latest upstream release: 3.0.4
Current version/release in rawhide: 2.0.8-3.fc27
URL: https://github.com/benediktschmitt/py-filelock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11739/

Comment 15 Upstream Release Monitoring 2018-02-01 12:14:47 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 16 Miro Hrončok 2018-11-22 17:01:16 UTC
Can we have this in Fedora 29?

Comment 17 Scott K Logan 2018-11-27 18:15:08 UTC
It's a major version bump due to a behavioral change. Looks like f29 shows no dependencies on this package, though.

What is the reason for pulling it into f29? python-tox?

Since this is a major bump, wouldn't I need to talk to FESCO? On a related note, what is the policy for major bumps in EPEL?

Comment 18 Miro Hrončok 2018-11-27 20:17:09 UTC
(In reply to Scott K Logan from comment #17)
> It's a major version bump due to a behavioral change. Looks like f29 shows
> no dependencies on this package, though.

python-cartopy-0:0.17.0-1.fc30.src
python-pytest-xdist-0:1.24.1-1.fc30.src
python3-tox-0:3.5.3-1.fc30.noarch

> What is the reason for pulling it into f29? python-tox?

Yes.


> Since this is a major bump, wouldn't I need to talk to FESCO?

Not necessarily, use your best judgement.If' it's really a major bump when it comes to API, maybe just say "no".

Talk to owners of python-cartopy, python-pytest-xdist and python-tox. Since python-cartopy and python-pytest-xdist only BR it, try to rebuild them and if it works, assume it's fine, but talk to them nevertheless.

> On a related
> note, what is the policy for major bumps in EPEL?

https://fedoraproject.org/wiki/EPEL_Updates_Policy

Comment 19 Fedora Update System 2019-05-20 00:24:41 UTC
python-filelock-3.0.12-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-48aa349cec

Comment 20 Fedora Update System 2019-05-21 01:59:18 UTC
python-filelock-3.0.12-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-48aa349cec

Comment 21 Fedora Update System 2019-05-29 00:49:24 UTC
python-filelock-3.0.12-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.